Page MenuHomePhabricator

Spike: How should we deal with User local ID vs global ID?
Closed, ResolvedPublic

Description

This one is a bit trickier than the Article entities, because there are local IDs for users on each wiki. Maybe we can rewrite the API calls to avoid user ID? CentralAuth doesn't provide much for us--it would be nice to pull the home wiki from there, but I don't know yet whether that means anything, I can't seem to change my own home wiki for example.

Event Timeline

awight created this task.Feb 20 2016, 6:21 AM
Restricted Application added subscribers: Base, Aklapper. · View Herald TranscriptFeb 20 2016, 6:21 AM
awight removed awight as the assignee of this task.Feb 27 2016, 6:18 AM
Ragesoss closed this task as Resolved.May 21 2016, 1:05 AM
Ragesoss claimed this task.
Ragesoss added a subscriber: Ragesoss.

We no longer have any queries that use user_id. It's all done through username now.